/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Common variable */
@property --angle {
    syntax: "<angle>";
    initial-value: 90deg;
    inherits: true;
}

:root {
    /* --d: 4000ms; */
    --angle: 90deg;
    --c1: rgba(168, 239, 255, 1);
    --c2: #80D0FF4c;
}

/* Header Css start here */
.lang-switch-inner ul.sub-menu {
    background-color: #0088CC;
}
.lang-switch-inner li.lang-item a.elementor-sub-item {
    padding: 8px 15px;
    gap: 0;
    color: #fff;
    border-width: 0 0 1px 0;
    border-style: solid;
    border-color: #ffffff;
}


/* Language change design fixed css */
html[lang="nl"] li.menu-item a.elementor-item {
    margin: 0 5px !important;
}

html[lang="nl"] .common-button a {
    clip-path: polygon(8% 0, 100% 0, 100% 25%, 100% 66%, 93% 100%, 16% 100%, 0 100%, 0 36%);
}
html[lang="nl"]  .common-button.header-btn-new .elementor-button-wrapper::before {
    bottom: -10px;
    right: -44px;
}

html[lang="fr"] li.menu-item a.elementor-item {
    margin: 0 6px !important;
    font-size: 15px !important;
}
html[lang="fr"] .common-button.header-btn-new .elementor-widget-container {
    margin-left: 10px;
}
html[lang="fr"] .common-button.header-btn-new {
    margin-right: 0;
}
html[lang="fr"] .common-button.header-btn-new .elementor-button-wrapper::before {
    bottom: -20px;
    right: -10px;
}

html[lang="it"] {
    
}


/* .contact-details-last li.elementor-icon-list-item:first-child span.elementor-icon-list-text::after {
    content: "contact@cyberclaims.com";
    position: absolute;
    left: 40px;
} */

/* .contact-details-last span.email-id-in {
    opacity: 0;
} */

.common-button a {
    clip-path: polygon(8% 0, 100% 0, 100% 25%, 100% 75%, 92% 100%, 16% 100%, 0 100%, 0 27%);
    transition: 0.6s all;
    position: relative;
    z-index: 99;
    white-space: nowrap;
}
.gtranslate_wrapper {
    width: 76px;
}
.gtranslate_wrapper select.gt_selector.notranslate {
    padding: 0;
    background: transparent;
    color: #fff;
    border: 0;
    cursor: pointer;
}
.gtranslate_wrapper select.gt_selector.notranslate:focus {
    border: none;
    outline: none;
}
.common-button.header-btn-new .elementor-button-wrapper::before {
    bottom: -32px;
}

/* Common Button */
.common-button .elementor-button-wrapper {
    position: relative;
}

.common-button a.elementor-button::after {
    content: "";
    position: absolute;
    top: -12px;
    left: -12px;
    background: url('../images/button-top-border.png');
    background-repeat: no-repeat;
    background-size: cover;
    width: 90%;
    height: 100%;
}

.common-button a.elementor-button::before {
    content: "";
    position: absolute;
    bottom: -20px;
    right: -10px;
    background: url('../images/button-down-border.png');
    background-repeat: no-repeat;
    background-size: contain;
    width: 90%;
    height: 100%;
}

.button-white a {
    clip-path: polygon(8% 0, 100% 0, 100% 25%, 100% 70%, 93% 100%, 16% 100%, 0 100%, 0 35%);
}

.common-button.button-white .elementor-button-wrapper::after {
    filter: brightness(0) invert(1);
}

.common-button.button-white .elementor-button-wrapper::before {
    bottom: -12px;
    right: -12px;
    filter: brightness(0) invert(1);
}

/* Home page form design */
.home-form-inner {
    border: 2px solid;
    padding: 30px;
    border-radius: 2px;
    border-image: conic-gradient(from var(--angle),
            var(--c2),
            var(--c1) 0.1turn,
            var(--c1) 0.10turn,
            var(--c2) 0.20turn) 30;
    animation: borderRotate 4000ms linear infinite forwards;
}



.home-form-inner .ginput_container input,
.home-form-inner .ginput_container select,
.contact-form-inner .ginput_container input,
.contact-form-inner .ginput_container select,
.multistep-form-sec .gform-theme--foundation .gfield input,
.multistep-form-sec .gform-theme--foundation .gfield select {
    height: 60px;
    background: #0A3D5E4a;
    border: 1px solid #2878A3;
    color: #fff;
    font-size: 15px;
    font-weight: 400;
    font-family: "Poppins", Sans-serif;
    border-radius: 0;
}

.home-form-inner .ginput_container select,
.contact-form-inner .ginput_container select,
.multistep-form-sec .gform-theme--foundation .gfield select {
    display: flex;
    align-items: center;
    appearance: none;
    background: url('../images/arrow-down.svg');
    background-repeat: no-repeat;
    background-position: center right 20px;
    background-color: #0A3D5E4a;
}

.ginput_container textarea {
    background: #0A3D5E4a;
    border: 1px solid #2878A3;
    color: #fff;
    font-size: 15px;
    font-weight: 400;
    font-family: "Poppins", Sans-serif;
    border-radius: 0;
}

.contact-form-inner .ginput_container input,
.contact-form-inner .ginput_container select,
.contact-form-inner .ginput_container textarea {
    background-color: #0A3D5E;
}

.home-form-inner .gform_footer input#gform_submit_button_1,
.contact-form-inner input#gform_submit_button_2,
.multistep-form-sec .gform_next_button {
    display: block;
    width: 100%;
    height: 60px;
    font-size: 16px;
    font-weight: 500;
    font-family: "Obviously Wide", sans-serif;
    text-transform: uppercase;
    background: linear-gradient(93.28deg, #84D4FF66 -16.42%, #0088CC99 97.5%);
    /* background: linear-gradient(93.28deg, #84D4FF -16.42%, #0088CC 97.5%); */
    border: 0;
    transition: 0.6s;
}

.contact-form-inner input#gform_submit_button_2 {
    background: linear-gradient(93.28deg, #84D4FF -16.42%, #0088CC 97.5%);
}

.home-form-inner .gform_footer input#gform_submit_button_1:hover {
    background: linear-gradient(93.28deg, #0088CC -16.42%, #84D4FF 97.5%);
}

.effect-right-form::after {
    position: absolute;
    content: "";
    background: url('../images/shape-right-line.png');
    background-size: auto;
    background-repeat: no-repeat;
    height: 600px;
    width: 240px;
    right: 0;
    top: -200px;
}

div#gform_1_validation_container,
div#gform_3_validation_container,
.gfield_validation_message {
    background: #fff;
}

.gfield_validation_message {
    padding: 5px;
}

.contact-form-sec {
    border-image: conic-gradient(from var(--angle),
            var(--c2),
            var(--c1) 0.1turn,
            var(--c1) 0.10turn,
            var(--c2) 0.20turn) 30;
    animation: borderRotate 4000ms linear infinite forwards;
}

/* About section */
.about-section::before {
    position: absolute;
    content: "";
    background: url('../images/shape-left-line.png');
    background-size: auto;
    background-repeat: no-repeat;
    height: 600px;
    width: 250px;
    left: 0;
    top: 0;
}

.background-blur-custom {
    filter: blur(100px);
}


/* Our services slider */
.service-loop-section {
    border: 2px solid;
    height: auto !important;
    border-image-source: linear-gradient(95.85deg, #B6D5FF 0.49%, #0E45F7 99.64%);
    border-image: conic-gradient(from var(--angle),
            var(--c2),
            var(--c1) 0.1turn,
            var(--c1) 0.10turn,
            var(--c2) 0.20turn) 30;
    animation: borderRotate 4000ms linear infinite forwards;
}

.service-loop-section .elementor-widget-image .elementor-widget-container {
    background: linear-gradient(180deg, #0088CC 0%, #0A2E4D 100%);
    padding: 20px;
    border: 13px solid #0C2A51;
    border-radius: 50%;
}

.service-loop-section span.elementor-button-content-wrapper span.elementor-button-icon,
.blog-single-inner span.elementor-button-content-wrapper span.elementor-button-icon {
    font-size: 12px;
}

/* Video section */
.crypto-video-sec .elementor-custom-embed-play {
    text-align: center;
    border-radius: 50%;
    width: 120px;
    height: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #FFFFFF94;
    border: 15px solid #00000021;
    backdrop-filter: blur(11.018518447875977px);
}

.counter-inner-sec .elementor-widget-image .elementor-widget-container {
    background: linear-gradient(91.6deg, #84D4FF -17.57%, #0088CC 100%);
    width: 90px;
    height: 90px;
    clip-path: polygon(20% 0%, 80% 0%, 100% 0, 100% 80%, 80% 100%, 0 100%, 0% 80%, 0% 20%);
    padding: 15px;
}

.counter-inner-sec .e-con-full.e-flex.e-con.e-child {
    border: 2px solid;
    height: auto !important;
    border-image-source: linear-gradient(95.85deg, #B6D5FF 0.49%, #0E45F7 99.64%);
    border-image: conic-gradient(from var(--angle),
            var(--c2),
            var(--c1) 0.1turn,
            var(--c1) 0.10turn,
            var(--c2) 0.20turn) 30;
    animation: borderRotate 4000ms linear infinite forwards;
}

/* Latest blog */
.blog-single-inner img {
    clip-path: polygon(15% 0, 80% 0%, 100% 0, 100% 85%, 85% 100%, 0 99%, 0% 80%, 0 15%);
}

.blog-single-inner a img {
    clip-path: polygon(13% 0, 100% 0, 100% 87%, 87% 100%, 0 100%, 0% 60%, 0 13%);
}
/* News page design */


/* Our Partner */
.partner-logo .elementor-element.e-con-full,
.multistep-form-sec,
.multistep-form-sec form#gform_3 .gform-body.gform_body,
.partner-logo .swiper-slide figure.swiper-slide-inner img {
    border-image: conic-gradient(from var(--angle),
            var(--c2),
            var(--c1) 0.1turn,
            var(--c1) 0.10turn,
            var(--c2) 0.20turn) 30 !important;
    animation: borderRotate 4000ms linear infinite forwards;
}

.partner-logo .swiper-slide figure.swiper-slide-inner img {
    width: 100%;
    height: 120px;
    object-fit: contain;
    padding: 20px;
    border: 1px solid;
}

.blog-single-inner .elementor-widget-container img.attachment-large {
    height: 300px;
    object-fit: cover;
}
/* Contact page css */
.contact-form-inner div#gform_fields_2 {
    gap: 20px;
}
.gform_heading {
    display: none;
}

.leftside-iconbox {
    backdrop-filter: blur(7px);
}
.leftside-iconbox .elementor-icon-box-icon {
    background: linear-gradient(180deg, #0088CC 0%, #0A2E4D 100%);
    padding: 20px;
    border: 13px solid #0C2A51;
    border-radius: 50%;
}
.middle-iconbox {
    border-width: 1px 0 1px 0;
    border-style: solid;
    border-color: #2E5C7A;
    padding: 20px 0;
}


/* Start process page */
legend.gfield_label.gform-field-label {
    color: #fff;
    font-size: 16px;
}
span.gfield_required {
    display: none;
}
.multistep-form-sec input#gform_next_button_3_3,
.multistep-form-sec .gform_page_footer.top_label input.gform_previous_button.button,
.multistep-form-sec .gform_page_footer.top_label input.gform_next_button.button,
.multistep-form-sec input#gform_submit_button_3,
.news-page-section .e-loop__load-more a.elementor-button-link.elementor-button {
    /* height: 52px; */
    padding: 22px 45px;
    font-family: "Obviously Wide", Sans-serif !important;
    font-size: 16px !important;
    font-weight: 500 !important;
    text-transform: uppercase !important;
    background: linear-gradient(93.28deg, #84D4FF -16.42%, #0088CC 97.5%);
    border: none;
    border-radius: 0;
}

.multistep-form-sec input#gform_next_button_3_3:hover,
.multistep-form-sec .gform_page_footer.top_label input.gform_next_button.button:hover,
.multistep-form-sec input#gform_submit_button_3:hover,
.news-page-section .e-loop__load-more a.elementor-button-link.elementor-button:hover {
    background: #fff;
    color: #3474A1;
}

.multistep-form-sec .gform_page_footer.top_label input.gform_previous_button.button {
    background: #fff;
}

.multistep-form-sec .gform_page_footer.top_label input.gform_previous_button.button:hover {
    background: linear-gradient(93.28deg, #84D4FF -16.42%, #0088CC 97.5%);
    color: #fff;
}

.multistep-form-sec .gchoice input.gfield-choice-input {
    height: auto;
    border-color: #fff;
    background: #fff;
    border-radius: 50%;
}

.multistep-form-sec label.gform-field-label {
    color: #fff;
}

.multistep-form-sec form#gform_3 .gform-body.gform_body {
    border: 1px solid #4BA8EB;
    padding: 30px;
}

.multistep-form-sec div#gf_page_steps_3 {
    justify-content: space-between;
    gap: 20px;
    margin-bottom: 50px;
}

.multistep-form-sec .gform-theme--framework .gf_step {
    flex-direction: column;
    width: 20%;
}

.multistep-form-sec .gform-theme--framework .gf_step span {
    color: #fff;
    font-family: Obviously Wide;
    font-size: 16px;
    font-weight: 600;
    line-height: 19.2px;
    text-align: center;
    text-transform: capitalize;
}

.multistep-form-sec span.gf_step_number {
    border: 1px solid #3474A1;
    width: 80px;
    height: 80px;
    display: block;
    background: #00000033;
}

.multistep-form-sec .gform_page_footer.top_label {
    justify-content: center;
    margin-top: 35px;
}

.multistep-form-sec input.datepicker.gform-datepicker {
    width: 100%;
}

.multistep-form-sec .gfield.gfield--type-html.gfield--input-type-html.form-section-title {
    font-family: Obviously Wide;
    font-size: 32px;
    font-weight: 600;
    line-height: 32px;
    text-align: left;
    color: #fff;
}

.multistep-form-sec .gfield.gfield--type-html.gfield--input-type-html {
    color: #fff;
    font-family: Poppins;
    font-size: 16px;
    font-weight: 300;
    line-height: 26px;
    text-align: center;
}

.multistep-form-sec .gf_step_number::after,
.multistep-form-sec .gf_step_completed .gf_step_number::after {
    position: absolute;
    left: 50%;
    right: 50%;
    top: 31%;
    bottom: 50%;
    transform: translate(-50%, -50%);
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background: #0a0422;
    background-position: center;
    border: none;
    border: 1px solid #3474A1;
}

.multistep-form-sec .gf_step_number::after {
    padding-top: 22px;
}

.multistep-form-sec .ginput_container_phone input[type="tel"] {
    padding-left: 52px !important;
}

div#gf_step_3_1 span.gf_step_number::after {
    content: url('../images/contact-details.png');
}

div#gf_step_3_2 span.gf_step_number::after {
    content: url('../images/amount-lost.png');
}

div#gf_step_3_3 span.gf_step_number::after {
    content: url('../images/incident-information.png');
}

div#gf_step_3_4 span.gf_step_number::after {
    content: url('../images/confirmation.png');
}

div#gf_step_3_2 {
    position: relative;
}

div#gf_step_3_1::after,
div#gf_step_3_2::after,
div#gf_step_3_3::after {
    background: url('../images/border-line.png');
    width: 200px;
    content: "";
    top: 30%;
    right: -16%;
    transform: translate(50%, 50%);
    position: absolute;
    height: 2px;
}

.multistep-form-sec .gf_step_completed .gf_step_number::after {
    width: 80px;
    height: 80px;
    display: block;
    background: linear-gradient(93.28deg, #84D4FF -16.42%, #0088CC 97.5%);
    padding: 0;
}

.multistep-form-sec div#field_3_27 {
    font-family: Obviously Wide;
    font-size: 24px;
    font-weight: 500;
    line-height: 31px;
    text-align: center;
}

.multistep-form-sec .gform_page_fields div#gform_fields_3_4 {
    gap: 20px;
}

.multistep-form-sec div#gform_confirmation_message_3 {
    text-align: center;
    color: #fff;
    font-size: 22px;
}

.multistep-form-sec div#field_3_28 h3 {
    font-family: Obviously Wide;
    font-size: 42px;
    font-weight: 600;
    line-height: 32px;
    text-align: left;
    text-transform: uppercase;
}

.multistep-form-sec div#field_3_28 p {
    font-family: Poppins;
    font-size: 16px;
    font-weight: 300;
    line-height: 26px;
    text-align: left;
}

.multistep-form-sec .gchoice input.gfield-choice-input[type="radio"] {
    display: none;
}

.multistep-form-sec .gchoice label.gform-field-label {
    cursor: pointer;
    position: relative;
    padding-left: 20px;
}

.multistep-form-sec .gchoice label.gform-field-label::before {
    content: "";
    position: absolute;
    width: 20px;
    height: 20px;
    background-color: transparent;
    border: 2px solid #fff;
    border-radius: 50%;
    top: 50%;
    left: -10px;
    transform: translateY(-50%);
    transition: border-color 400ms ease;
}

.multistep-form-sec .gchoice label.gform-field-label::after {
    content: "";
    position: absolute;
    width: 20px;
    height: 20px;
    background-color: #FF9AFF;
    border: 2px solid #FF9AFF;
    border-radius: 50%;
    top: 50%;
    left: -10px;
    transform: translateY(-50%) scale(0);
    transition: transform 400ms ease;
}

.multistep-form-sec .gchoice input.gfield-choice-input[type="radio"]:checked+label.gform-field-label::before {
    border-color: #FF9AFF;
}

.multistep-form-sec .gchoice input.gfield-choice-input[type="radio"]:checked+label.gform-field-label::after {
    transform: translateY(-50%) scale(0.55);
}
.multistep-form-sec .amount-lost-section .gfield_radio {
    flex-direction: row !important;
    flex-wrap: wrap;
    width: 50%;
}
.multistep-form-sec .gfield_radio .gchoice {
    width: 30%;
}

/* Servises inner page */
.process-icon-section li.elementor-icon-list-item span.elementor-icon-list-icon {
    width: 66px;
    height: 66px;
    background: linear-gradient(270deg, #0088CC 40.94%, #0A2E4D 143.34%);
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    border-radius: 50%;
}
.process-icon-section li.elementor-icon-list-item span.elementor-icon-list-icon svg {
    margin: 0;
}
a.moreless-button {
    font-size: 16px;
    font-weight: 500;
    color: #fff;
    font-family: "Obviously Wide", sans-serif;
    display: block;
}

.accordian-service-inner-content,
.content-box-border {
    border: 1px solid #acceff;
    padding: 20px;
    background: linear-gradient(180deg, rgba(217, 217, 217, 0.02) 0%, rgba(255, 255, 255, 0.02) 100%);
    backdrop-filter: blur(24px);
    border-image: conic-gradient(from var(--angle),
            var(--c2),
            var(--c1) 0.1turn,
            var(--c1) 0.10turn,
            var(--c2) 0.20turn) 30 !important;
    animation: borderRotate 4000ms linear infinite forwards;
}
.process-icon-section span.elementor-icon-list-text {
    margin-left: 10px;
}


/* @keyframes borderRotate {
    100% {
        --angle: 420deg;
    }
} */

@keyframes borderRotate {
    0% {
        --angle: 90deg;
    }
    100% {
        --angle: 450deg;
    }
}


@media (min-width: 1025px) and (max-width: 1370px) {
    html[lang="fr"] .common-button.header-btn-new .elementor-button-wrapper::before {
        bottom: -19px;
        right: -8px;
    }
    html[lang="fr"] .common-button a {
        margin-right: 20px;
    }
    html[lang="nl"]  .common-button.header-btn-new .elementor-button-wrapper::before {
        bottom: -10px;
        right: -61px;
    }
}
@media (min-width: 1025px) and (max-width: 1200px) {
    .common-button a {
        margin-right: 20px;
    }
    .common-button .elementor-button-wrapper::before {
        right: 10px !important;
        width: 70%;
        bottom: -25px !important;
    }
    .common-button .elementor-button-wrapper::after {
        width: 70%;
    }
}

@media (max-width: 1024px) {
    .counter-inner-sec .elementor-counter .elementor-counter-title {
        text-align: center;
    }

    div#gf_step_3_1::after,
    div#gf_step_3_2::after,
    div#gf_step_3_3::after {
        width: 160px;
    }

    .multistep-form-sec div#field_3_28 h3 {
        font-size: 30px;
    }

    .common-button .elementor-button-wrapper::before {
        bottom: -26px;
    }
    .contact-details-last li.elementor-icon-list-item:first-child span.elementor-icon-list-text::after {
        left: 35px;
    }
}

@media (min-width: 768px) and (max-width: 960px) {
    div#gf_step_3_1::after, 
    div#gf_step_3_2::after, 
    div#gf_step_3_3::after {
        width: 110px !important;
    }
}

@media (max-width: 991px) {
    .home-form-inner {
        padding: 20px;
    }

    div#gf_step_3_1::after,
    div#gf_step_3_2::after,
    div#gf_step_3_3::after {
        width: 150px;
    }
}

@media (max-width: 768px) {

    div#gf_step_3_1::after,
    div#gf_step_3_2::after,
    div#gf_step_3_3::after {
        width: 95px;
    }
}

@media (max-width: 767px) {
    .crypto-video-sec .elementor-custom-embed-play {
        width: 70px;
        height: 70px;
        border: 6px solid #00000021;
    }

    .gform_fields.top_label {
        gap: 20px;
    }

    .home-form-inner .gform_footer input#gform_submit_button_1 {
        font-size: 14px;
    }

    .home-form-inner {
        padding: 20px 15px;
    }

    div#gf_step_3_1::after,
    div#gf_step_3_2::after,
    div#gf_step_3_3::after {
        width: 95px;
    }

    .multistep-form-sec .gform-theme--framework .gf_step span {
        font-size: 12px;
    }

    .blog-single-inner .elementor-widget-container {
        text-align: center;
    }
    .multistep-form-sec .amount-lost-section .gfield_radio {
        width: 60%;
    }
    .multistep-form-sec .gfield_radio .gchoice {
        width: 48%;
    }
}

@media (max-width: 576px) {
    div#gf_step_3_1::after,
    div#gf_step_3_2::after,
    div#gf_step_3_3::after {
        content: none;
    }
    .multistep-form-sec div#gf_page_steps_3 {
        gap: 30px;
        flex-wrap: wrap;
        padding: 0;
    }
    .multistep-form-sec div#field_3_28 h3 {
        font-size: 24px;
    }
    .common-button.button-white .elementor-button-wrapper::before {
        bottom: -16px;
    }
    .multistep-form-sec .gf_step_number::after, 
    .multistep-form-sec .gf_step_completed .gf_step_number::after {
        top: 36%;
    }
    .process-icon-section li.elementor-icon-list-item {
        margin-bottom: 20px;
    }
    .process-icon-section .elementor-icon-list-item:after {
        content: none !important;
    }
    .leftside-iconbox .elementor-icon-box-icon {
        width: 120px;
        height: 120px;
    }
    .multistep-form-sec .gform-theme--framework .gf_step {
        width: 45%;
    } 
    .multistep-form-sec .gfield_radio .gchoice {
        width: 100%;
    }
    .multistep-form-sec .gfield.gfield--type-html.gfield--input-type-html.form-section-title {
        font-size: 26px;
    }
    
}

@media (max-width: 420px) {
    .multistep-form-sec form#gform_3 .gform-body.gform_body {
        padding: 20px;
    }
}

@media (min-width: 341px) and (max-width: 450px) {
    .multistep-form-sec div#gf_step_3_3 .gf_step_number::after, 
    .multistep-form-sec div#gf_step_3_3 .gf_step_completed .gf_step_number::after,
    .multistep-form-sec div#gf_step_3_4 .gf_step_number::after, 
    .multistep-form-sec div#gf_step_3_4 .gf_step_completed .gf_step_number::after {
        top: 30.5%;;
    }

}

@media (max-width: 340px) {
    .multistep-form-sec .gform-theme--framework .gf_step {
        width: 100%;
    }
    .multistep-form-sec .gf_step_number::after, 
    .multistep-form-sec .gf_step_completed .gf_step_number::after {
        top: 36%;
    }
}